ServiceLayerRest::Engine.routes.draw do

  scope :module => "staff_schedulings" do
    scope '/api' do
      scope '/v1' do
        scope '/staff_schedulings' do
          scope '/daily_data' do
            scope '/services' do
              post '/' => "daily_data#create_daily_data_services"
              put '/' => "daily_data#update_daily_data_services"
              delete '/' => "daily_data#delete_daily_data_services"
            end
            
            scope '/standbys' do
              post '/' => "daily_data#create_daily_data_standbys"
              put '/' => "daily_data#update_daily_data_standbys"
              delete '/' => "daily_data#delete_daily_data_standbys"
            end
            
            scope '/states' do
              post '/' => "daily_data#create_daily_data_states"
              put '/' => "daily_data#update_daily_data_states"
              delete '/' => "daily_data#delete_daily_data_states"
            end
            
            put '/attributes' => "daily_data#update_daily_data_attributes"
            get '/servicedefinitions' => "daily_data#get_daily_data_servicedefinitions"
            get '/standbydefinitions' => "daily_data#get_daily_data_standbydefinitions"
            get '/statedefinitions' => "daily_data#get_daily_data_statedefinitions"
            get '/colordefinitions' => "daily_data#get_daily_data_colordefinitions"
          end
        end
      end
    end
  end
end
